Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface StorageProxyMBean

All Known Implementing Classes:
  StorageProxy

    public interface StorageProxyMBean

Method Summary
`boolean` | `getHintedHandoffEnabled()`
`long` | `getRangeOperations()`
`long` | `getReadOperations()`
`double` | `getRecentRangeLatencyMicros()`
`double` | `getRecentReadLatencyMicros()`
`double` | `getRecentWriteLatencyMicros()`
`long` | `getTotalRangeLatencyMicros()`
`long` | `getTotalReadLatencyMicros()`
`long` | `getTotalWriteLatencyMicros()`
`long` | `getWriteOperations()`
`void` | `setHintedHandoffEnabled(boolean b)`

Method Detail

### getReadOperations

    long getReadOperations()

### getTotalReadLatencyMicros

    long getTotalReadLatencyMicros()

### getRecentReadLatencyMicros

    double getRecentReadLatencyMicros()

### getRangeOperations

    long getRangeOperations()

### getTotalRangeLatencyMicros

    long getTotalRangeLatencyMicros()

### getRecentRangeLatencyMicros

    double getRecentRangeLatencyMicros()

### getWriteOperations

    long getWriteOperations()

### getTotalWriteLatencyMicros

    long getTotalWriteLatencyMicros()

### getRecentWriteLatencyMicros

    double getRecentWriteLatencyMicros()

### getHintedHandoffEnabled

    boolean getHintedHandoffEnabled()

### setHintedHandoffEnabled

    void setHintedHandoffEnabled(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation